ArgumentConstants (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.argument.ArgumentConstants interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.argument
Interface ArgumentConstants

All Known Subinterfaces:
  BasicConstants, ModuleConstants, ParagraphConstants, RuleConstants

public interface ArgumentConstants

This interface provides constants of this package.

Version:
  $Revision: 1.6 $
Author:
  Michael Meyling

Field Summary
`static String` | `ALREADY_ASSIGNED`
`static String` | `ARGUMENT_EXPECTED`
`static String` | `AT_LEAST_ONE_ARGUMENT_EXPECTED`
`static int` | `CODE_CONSTRUCTOR_ARGUMENT_CHECK_FAILED`
`static int` | `CODE_CONSTRUCTOR_WRONG_ARGUMENT_NUMBER`
`static int` | `CODE_CONSTRUCTOR_WRONG_ARGUMENT_TYPE`
`static int` | `CODE_METHOD_ARGUMENT_CHECK_FAILED`
`static int` | `CODE_PARSER_ARGUMENT_EXPECTED`
`static int` | `CODE_PARSER_NO_ARGUMENT_SEPARATOR`
`static int` | `CODE_PARSER_NO_BEGIN_ARGUMENT_LIST`
`static int` | `CODE_PARSER_NO_END_ARGUMENT_LIST`
`static int` | `CODE_PARSER_NO_FURTHER_ARGUMENTS_EXPECTED`
`static int` | `CODE_PARSER_UNEXPECTED_ARGUMENT`
`static int` | `CODE_PARSER_UNKNOWN_ARGUMENT_CHAR`
`static int` | `CODE_PARSER_UNKNOWN_OPERATOR`
`static int` | `CODE_PARSER_WRONG_ATOM_FORMAT`
`static String` | `COULD_NOT_BE_EMPTY`
`static String` | `COULD_NOT_CREATE`
`static String` | `COUNTER`
`static String` | `COUNTER_OR_PATTERN`
`static String` | `EXPECTED_IN_ARGUMENT`
`static String` | `FIFTH_ARGUMENT`
`static String` | `FIFTH_ARGUMENT_TYPE`
`static String` | `FIRST_ARGUMENT`
`static String` | `FIRST_ARGUMENT_TYPE`
`static String` | `FOURTH_ARGUMENT`
`static String` | `FOURTH_ARGUMENT_TYPE`
`static String` | `MUST_BE_GREATER_THAN_NULL`
`static String` | `MUST_HAVE_COUNTER`
`static String` | `MUST_NOT_CONTAIN_PATTERN_VARIABLE`
`static String` | `NO_ARGUMENT_NUMBER`
`static String` | `NO_ARGUMENT_SEPARATOR`
`static String` | `NO_BEGIN_ARGUMENT_LIST`
`static String` | `NO_END_ARGUMENT_LIST`
`static String` | `NO_LETTER_DIGIT_STRING_FOUND`
`static String` | `NO_NEGATIVE_INTEGER`
`static String` | `NO_POSITIVE_INTEGER_FOUND`
`static String` | `NO_QUOTE_TERMINATION`
`static String` | `NO_QUOTED_STRING`
`static String` | `NO_RECURSIVE_MATCH`
`static String` | `NOT_ASSIGNED`
`static String` | `NULLPOINTER_PARAMETER`
`static String` | `NUMBER`
`static String` | `OPERATOR_WITH_AT_LEAST_TWO_ARGUMENTS`
`static String` | `OPERATOR_WITH_FIVE_ARGUMENTS`
`static String` | `OPERATOR_WITH_FOUR_ARGUMENTS`
`static String` | `OPERATOR_WITH_NO_ARGUMENTS`
`static String` | `OPERATOR_WITH_ONE_ARGUMENT`
`static String` | `OPERATOR_WITH_THREE_ARGUMENTS`
`static String` | `OPERATOR_WITH_TWO_ARGUMENTS`
`static String` | `PATTERN_VARIABLE`
`static String` | `PATTERN_VARIABLE_NOT_FOUND`
`static String` | `POSITIVE_INTEGER_EXPECTED`
`static String` | `QUOTED_STRING`
`static String` | `SECOND_ARGUMENT`
`static String` | `SECOND_ARGUMENT_TYPE`
`static String` | `THIRD_ARGUMENT`
`static String` | `THIRD_ARGUMENT_TYPE`
`static String` | `UNKNOWN_ARGUMENT_CHAR`
`static String` | `UNKNOWN_ARGUMENT_CLASS`
`static String` | `UNKNOWN_CLASS`
`static String` | `UNKNOWN_OPERATOR`
`static String` | `WRONG_ARGUMENT_NUMBER`

Field Detail

### CODE_CONSTRUCTOR_WRONG_ARGUMENT_NUMBER

    public static final int CODE_CONSTRUCTOR_WRONG_ARGUMENT_NUMBER

See Also:
  Constant Field Values

### CODE_CONSTRUCTOR_WRONG_ARGUMENT_TYPE

    public static final int CODE_CONSTRUCTOR_WRONG_ARGUMENT_TYPE

See Also:
  Constant Field Values

### CODE_CONSTRUCTOR_ARGUMENT_CHECK_FAILED

    public static final int CODE_CONSTRUCTOR_ARGUMENT_CHECK_FAILED

See Also:
  Constant Field Values

### CODE_METHOD_ARGUMENT_CHECK_FAILED

    public static final int CODE_METHOD_ARGUMENT_CHECK_FAILED

See Also:
  Constant Field Values

### CODE_PARSER_ARGUMENT_EXPECTED

    public static final int CODE_PARSER_ARGUMENT_EXPECTED

See Also:
  Constant Field Values

### CODE_PARSER_UNKNOWN_ARGUMENT_CHAR

    public static final int CODE_PARSER_UNKNOWN_ARGUMENT_CHAR

See Also:
  Constant Field Values

### CODE_PARSER_NO_ARGUMENT_SEPARATOR

    public static final int CODE_PARSER_NO_ARGUMENT_SEPARATOR

See Also:
  Constant Field Values

### CODE_PARSER_NO_END_ARGUMENT_LIST

    public static final int CODE_PARSER_NO_END_ARGUMENT_LIST

See Also:
  Constant Field Values

### CODE_PARSER_NO_BEGIN_ARGUMENT_LIST

    public static final int CODE_PARSER_NO_BEGIN_ARGUMENT_LIST

See Also:
  Constant Field Values

### CODE_PARSER_UNKNOWN_OPERATOR

    public static final int CODE_PARSER_UNKNOWN_OPERATOR

See Also:
  Constant Field Values

### CODE_PARSER_WRONG_ATOM_FORMAT

    public static final int CODE_PARSER_WRONG_ATOM_FORMAT

See Also:
  Constant Field Values

### CODE_PARSER_NO_FURTHER_ARGUMENTS_EXPECTED

    public static final int CODE_PARSER_NO_FURTHER_ARGUMENTS_EXPECTED

See Also:
  Constant Field Values

### CODE_PARSER_UNEXPECTED_ARGUMENT

    public static final int CODE_PARSER_UNEXPECTED_ARGUMENT

See Also:
  Constant Field Values

### NO_RECURSIVE_MATCH

    public static final String NO_RECURSIVE_MATCH

See Also:
  Constant Field Values

### PATTERN_VARIABLE_NOT_FOUND

    public static final String PATTERN_VARIABLE_NOT_FOUND

See Also:
  Constant Field Values

### NULLPOINTER_PARAMETER

    public static final String NULLPOINTER_PARAMETER

See Also:
  Constant Field Values

### WRONG_ARGUMENT_NUMBER

    public static final String WRONG_ARGUMENT_NUMBER

See Also:
  Constant Field Values

### NO_ARGUMENT_NUMBER

    public static final String NO_ARGUMENT_NUMBER

See Also:
  Constant Field Values

### NO_NEGATIVE_INTEGER

    public static final String NO_NEGATIVE_INTEGER

See Also:
  Constant Field Values

### OPERATOR_WITH_NO_ARGUMENTS

    public static final String OPERATOR_WITH_NO_ARGUMENTS

See Also:
  Constant Field Values

### OPERATOR_WITH_ONE_ARGUMENT

    public static final String OPERATOR_WITH_ONE_ARGUMENT

See Also:
  Constant Field Values

### OPERATOR_WITH_TWO_ARGUMENTS

    public static final String OPERATOR_WITH_TWO_ARGUMENTS

See Also:
  Constant Field Values

### OPERATOR_WITH_THREE_ARGUMENTS

    public static final String OPERATOR_WITH_THREE_ARGUMENTS

See Also:
  Constant Field Values

### OPERATOR_WITH_FOUR_ARGUMENTS

    public static final String OPERATOR_WITH_FOUR_ARGUMENTS

See Also:
  Constant Field Values

### OPERATOR_WITH_FIVE_ARGUMENTS

    public static final String OPERATOR_WITH_FIVE_ARGUMENTS

See Also:
  Constant Field Values

### AT_LEAST_ONE_ARGUMENT_EXPECTED

    public static final String AT_LEAST_ONE_ARGUMENT_EXPECTED

See Also:
  Constant Field Values

### OPERATOR_WITH_AT_LEAST_TWO_ARGUMENTS

    public static final String OPERATOR_WITH_AT_LEAST_TWO_ARGUMENTS

See Also:
  Constant Field Values

### FIRST_ARGUMENT_TYPE

    public static final String FIRST_ARGUMENT_TYPE

See Also:
  Constant Field Values

### SECOND_ARGUMENT_TYPE

    public static final String SECOND_ARGUMENT_TYPE

See Also:
  Constant Field Values

### THIRD_ARGUMENT_TYPE

    public static final String THIRD_ARGUMENT_TYPE

See Also:
  Constant Field Values

### FOURTH_ARGUMENT_TYPE

    public static final String FOURTH_ARGUMENT_TYPE

See Also:
  Constant Field Values

### FIFTH_ARGUMENT_TYPE

    public static final String FIFTH_ARGUMENT_TYPE

See Also:
  Constant Field Values

### FIRST_ARGUMENT

    public static final String FIRST_ARGUMENT

See Also:
  Constant Field Values

### SECOND_ARGUMENT

    public static final String SECOND_ARGUMENT

See Also:
  Constant Field Values

### THIRD_ARGUMENT

    public static final String THIRD_ARGUMENT

See Also:
  Constant Field Values

### FOURTH_ARGUMENT

    public static final String FOURTH_ARGUMENT

See Also:
  Constant Field Values

### FIFTH_ARGUMENT

    public static final String FIFTH_ARGUMENT

See Also:
  Constant Field Values

### MUST_BE_GREATER_THAN_NULL

    public static final String MUST_BE_GREATER_THAN_NULL

See Also:
  Constant Field Values

### UNKNOWN_CLASS

    public static final String UNKNOWN_CLASS

See Also:
  Constant Field Values

### NUMBER

    public static final String NUMBER

See Also:
  Constant Field Values

### PATTERN_VARIABLE

    public static final String PATTERN_VARIABLE

See Also:
  Constant Field Values

### COUNTER

    public static final String COUNTER

See Also:
  Constant Field Values

### COUNTER_OR_PATTERN

    public static final String COUNTER_OR_PATTERN

See Also:
  Constant Field Values

### QUOTED_STRING

    public static final String QUOTED_STRING

See Also:
  Constant Field Values

### MUST_NOT_CONTAIN_PATTERN_VARIABLE

    public static final String MUST_NOT_CONTAIN_PATTERN_VARIABLE

See Also:
  Constant Field Values

### COULD_NOT_CREATE

    public static final String COULD_NOT_CREATE

See Also:
  Constant Field Values

### ARGUMENT_EXPECTED

    public static final String ARGUMENT_EXPECTED

See Also:
  Constant Field Values

### UNKNOWN_OPERATOR

    public static final String UNKNOWN_OPERATOR

See Also:
  Constant Field Values

### UNKNOWN_ARGUMENT_CHAR

    public static final String UNKNOWN_ARGUMENT_CHAR

See Also:
  Constant Field Values

### NO_BEGIN_ARGUMENT_LIST

    public static final String NO_BEGIN_ARGUMENT_LIST

See Also:
  Constant Field Values

### NO_END_ARGUMENT_LIST

    public static final String NO_END_ARGUMENT_LIST

See Also:
  Constant Field Values

### NO_ARGUMENT_SEPARATOR

    public static final String NO_ARGUMENT_SEPARATOR

See Also:
  Constant Field Values

### UNKNOWN_ARGUMENT_CLASS

    public static final String UNKNOWN_ARGUMENT_CLASS

See Also:
  Constant Field Values

### POSITIVE_INTEGER_EXPECTED

    public static final String POSITIVE_INTEGER_EXPECTED

See Also:
  Constant Field Values

### EXPECTED_IN_ARGUMENT

    public static final String EXPECTED_IN_ARGUMENT

See Also:
  Constant Field Values

### NO_LETTER_DIGIT_STRING_FOUND

    public static final String NO_LETTER_DIGIT_STRING_FOUND

See Also:
  Constant Field Values

### NO_POSITIVE_INTEGER_FOUND

    public static final String NO_POSITIVE_INTEGER_FOUND

See Also:
  Constant Field Values

### NO_QUOTED_STRING

    public static final String NO_QUOTED_STRING

See Also:
  Constant Field Values

### NO_QUOTE_TERMINATION

    public static final String NO_QUOTE_TERMINATION

See Also:
  Constant Field Values

### COULD_NOT_BE_EMPTY

    public static final String COULD_NOT_BE_EMPTY

See Also:
  Constant Field Values

### ALREADY_ASSIGNED

    public static final String ALREADY_ASSIGNED

See Also:
  Constant Field Values

### NOT_ASSIGNED

    public static final String NOT_ASSIGNED

See Also:
  Constant Field Values

### MUST_HAVE_COUNTER

    public static final String MUST_HAVE_COUNTER

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.